(require 'package)

(package-initialize)

(add-to-list 'package-archives '("melpa" . "http://melpa.org/packages/"))

(unless (package-installed-p 'use-package)
  (package-install 'use-package))

(require 'use-package)

(use-package rainbow-mode :ensure t)

(use-package treemacs
  :ensure t
  :config
  (treemacs-follow-mode t)            ;; Enable follow mode
  (setq treemacs-show-hidden-files t) ;; Show hidden files (optional)
  (treemacs-fringe-indicator-mode t)  ;; Show fringe indicators
  (treemacs-git-mode 'deferred))      ;; Enable Git integration

(use-package multiple-cursors :ensure t)

(use-package highlight-indent-guides
  :ensure t
  :hook ((prog-mode . highlight-indent-guides-mode)  ; Enable in programming modes
         (treemacs-mode . (lambda () (highlight-indent-guides-mode -1))))  ; Disable in Treemacs
  :config
  (setq highlight-indent-guides-method 'character)  ; Choose method: 'character', 'fill', or 'column'
  (setq highlight-indent-guides-auto-enabled t)
  (setq highlight-indent-guides-responsive 'top)
  (setq highlight-indent-guides-character ?\|))  ; Character to display as indent guide

(use-package company
  :ensure t
  :config
  (global-company-mode t))

